PaidGoods
API referenceStorefront themes

Rename a theme

PATCH
/v1/stores/{storeId}/storefront/themes/{themeId}

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string
themeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/stores/string/storefront/themes/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "base": "string",  "baseLabel": "string",  "baseVersion": "string",  "isActive": true,  "version": -9007199254740991,  "hasDraft": true,  "customisedFiles": -9007199254740991,  "update": {    "available": true,    "released": "string",    "files": [      "string"    ]  },  "tier": "free",  "updatedAt": "string",  "createdAt": "string"}